libetonyek::IWORKListLabelIndentsProperty Class Reference

`#include <IWORKListLabelIndentsProperty.h>`

Inheritance diagram for libetonyek::IWORKListLabelIndentsProperty:

## Public Member Functions
| IWORKListLabelIndentsProperty (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
IWORKPropertyMap & | m_propertyMap
std::deque< double > | m_elements
boost::optional< ID_t > | m_ref

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKListLabelIndentsProperty()

libetonyek::IWORKListLabelIndentsProperty::IWORKListLabelIndentsProperty | ( | IWORKXMLParserState & | state,
|  | IWORKPropertyMap & | propMap )

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKListLabelIndentsProperty::element | ( | int | name | ) |
| override private virtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKListLabelIndentsProperty::endOfElement | ( |  | ) |
| override private virtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_elements

std::deque<double> libetonyek::IWORKListLabelIndentsProperty::m_elements
| private

Referenced by element(), endOfElement(), and IWORKListLabelIndentsProperty().

## ◆ m_propertyMap

IWORKPropertyMap& libetonyek::IWORKListLabelIndentsProperty::m_propertyMap
| private

Referenced by endOfElement(), and IWORKListLabelIndentsProperty().

## ◆ m_ref

boost::optional<ID_t> libetonyek::IWORKListLabelIndentsProperty::m_ref
| private

Referenced by element(), endOfElement(), and IWORKListLabelIndentsProperty().

The documentation for this class was generated from the following files:

- IWORKListLabelIndentsProperty.h
- IWORKListLabelIndentsProperty.cpp